## libgxps 0.3.0

=== meson_options.txt ===
option('enable-test', type: 'boolean', value: true, description: 'Compile test application')
option('enable-gtk-doc', type: 'boolean', value: false, description: 'Enable generating the API reference (depends on GTK-Doc)')
option('enable-man', type: 'boolean', value: false, description: 'Whether to generate the man pages for libgxps tools')
option('disable-introspection', type: 'boolean', value: false, description: 'Whether to disable the introspection generation')
option('with-liblcms2', type: 'boolean', value: true, description: 'With Little CMS 2')
option('with-libjpeg', type: 'boolean', value: true, description: 'With libjpeg')
option('with-libtiff', type: 'boolean', value: true, description: 'With libtiff')

## libgxps 0.2.1

=== debian/changelog ===
libgxps (0.2.1-1) unstable; urgency=low

  [ Savvas Radevic ]
  * Initial release (LP: #912789) (Closes: #654892)

 -- Michael Biebl <biebl@debian.org>  Thu, 08 Mar 2012 16:00:35 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: libgxps
Priority: optional
Maintainer: Savvas Radevic <vicedar@gmail.com>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: cdbs,
               debhelper (>= 9),
               dh-autoreconf,
               gnome-pkg-tools (>= 0.10),
               gobject-introspection,
               gtk-doc-tools (>= 1.14),
               libarchive-dev (>= 3.0.0),
               libcairo2-dev,
               libfreetype6-dev,
               libglib2.0-dev,
               libglib2.0-doc,
               libgirepository1.0-dev,
               libgtk-3-dev,
               libjpeg-dev,
               liblcms2-dev,
               libtiff-dev,
               pkg-config
Standards-Version: 3.9.3
Section: libs
Homepage: https://live.gnome.org/libgxps
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/libgxps/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/libgxps/

Package: libgxps-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         gir1.2-gxps-0.1 (= ${binary:Version}),
         libgxps2 (= ${binary:Version}),
         libarchive-dev,
         libcairo2-dev,
         libglib2.0-dev
Description: handling and rendering XPS documents (development files)
 OpenXPS or XPS stands for XML Paper Specification. It is based on XML and it's 
 a new electronic paper format originally developed by Microsoft and it serves 
 as a PDF alternative. XPS files are usually created using "Microsoft XPS 
 Document Writer" in Windows environments. It is now standardized as an open 
 standard document format.
 .
 Quoting Wikipedia:
 An XPS file is in fact a Unicoded ZIP archive using the Open Packaging 
 Conventions, containing the files which make up the document. These include an 
 XML markup file for each page, text, embedded fonts, raster images, 2D vector 
 graphics, as well as the digital rights management information. The contents 
 of an XPS file can be examined simply by opening it in an application which 
 supports ZIP files.
 .
 The OpenXPS document format specification supports features such as color 
 gradients, transparencies, CMYK color spaces, printer calibration, 
 multiple-ink systems and print schemas.
 .
 This package contains the development files.

Package: libgxps2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: handling and rendering XPS documents (library)
 OpenXPS or XPS stands for XML Paper Specification. It is based on XML and it's 
 a new electronic paper format originally developed by Microsoft and it serves 
 as a PDF alternative. XPS files are usually created using "Microsoft XPS 
 Document Writer" in Windows environments. It is now standardized as an open 
 standard document format.
 .
 Quoting Wikipedia:
 An XPS file is in fact a Unicoded ZIP archive using the Open Packaging 
 Conventions, containing the files which make up the document. These include an 
 XML markup file for each page, text, embedded fonts, raster images, 2D vector 
 graphics, as well as the digital rights management information. The contents 
 of an XPS file can be examined simply by opening it in an application which 
 supports ZIP files.
 .
 The OpenXPS document format specification supports features such as color 
 gradients, transparencies, CMYK color spaces, printer calibration, 
 multiple-ink systems and print schemas.
 .
 This package contains the library. It is being used by evince to read XPS 
 documents.

Package: libgxps-utils
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: handling and rendering XPS documents (utilities)
 OpenXPS or XPS stands for XML Paper Specification. It is based on XML and it's 
 a new electronic paper format originally developed by Microsoft and it serves 
 as a PDF alternative. XPS files are usually created using "Microsoft XPS 
 Document Writer" in Windows environments. It is now standardized as an open 
 standard document format.
 .
 Quoting Wikipedia:
 An XPS file is in fact a Unicoded ZIP archive using the Open Packaging 
 Conventions, containing the files which make up the document. These include an 
 XML markup file for each page, text, embedded fonts, raster images, 2D vector 
 graphics, as well as the digital rights management information. The contents 
 of an XPS file can be examined simply by opening it in an application which 
 supports ZIP files.
 .
 The OpenXPS document format specification supports features such as color 
 gradients, transparencies, CMYK color spaces, printer calibration, 
 multiple-ink systems and print schemas.
 .
 This package contains the binary utilities:
 xpstopng, xpstopdf, xpstosvg, xpstojpeg and xpstops

Package: libgxps-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: devhelp
Description: library for handling and rendering XPS documents (documentation)
 OpenXPS or XPS stands for XML Paper Specification. It is based on XML and it's 
 a new electronic paper format originally developed by Microsoft and it serves 
 as a PDF alternative. XPS files are usually created using "Microsoft XPS 
 Document Writer" in Windows environments. It is now standardized as an open 
 standard document format.
 .
 Quoting Wikipedia:
 An XPS file is in fact a Unicoded ZIP archive using the Open Packaging 
 Conventions, containing the files which make up the document. These include an 
 XML markup file for each page, text, embedded fonts, raster images, 2D vector 
 graphics, as well as the digital rights management information. The contents 
 of an XPS file can be examined simply by opening it in an application which 
 supports ZIP files.
 .
 The OpenXPS document format specification supports features such as color 
 gradients, transparencies, CMYK color spaces, printer calibration, 
 multiple-ink systems and print schemas.
 .
 This package contains help documentation files.

Package: gir1.2-gxps-0.1
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for the gxps library
 OpenXPS or XPS stands for XML Paper Specification. It is based on XML and it's 
 a new electronic paper format originally developed by Microsoft and it serves 
 as a PDF alternative. XPS files are usually created using "Microsoft XPS 
 Document Writer" in Windows environments. It is now standardized as an open 
 standard document format.
 .
 Quoting Wikipedia:
 An XPS file is in fact a Unicoded ZIP archive using the Open Packaging 
 Conventions, containing the files which make up the document. These include an 
 XML markup file for each page, text, embedded fonts, raster images, 2D vector 
 graphics, as well as the digital rights management information. The contents 
 of an XPS file can be examined simply by opening it in an application which 
 supports ZIP files.
 .
 The OpenXPS document format specification supports features such as color 
 gradients, transparencies, CMYK color spaces, printer calibration, 
 multiple-ink systems and print schemas.
 .
 This package contains introspection data for the gxps
 library. It can be used by packages using the GIRepository format to
 generate dynamic bindings.

## libgxps 0.2.2

=== debian/changelog ===
libgxps (0.2.2-3) unstable; urgency=low

  * Team upload

  [ Jeremy Bicha ]
  * Update homepage

  [ Andreas Henriksson ]
  * Add debian/patches/fix-build-with-libpng16.patch (Closes: #743387)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 02 Apr 2014 21:15:07 +0200

libgxps (0.2.2-2) unstable; urgency=low

  [ Savvas Radevic ]
  * Install gir1.2-gxps-0.1 typelib in /usr/lib/girepository-1.0/
    gobject-introspection doesn't support multiarch. (Closes: #667993)

 -- Michael Biebl <biebl@debian.org>  Fri, 13 Apr 2012 19:47:18 +0200

libgxps (0.2.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Build-Depends on cdbs for multiarch support.
  * debian/patches/01_fix-gtk-doc-build.patch: Removed, merged upstream.

 -- Michael Biebl <biebl@debian.org>  Mon, 19 Mar 2012 15:28:37 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Source: libgxps
 Priority: optional
 Maintainer: Savvas Radevic <vicedar@gmail.com>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: cdbs,
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: cdbs (>= 0.4.93),
                debhelper (>= 9),
                dh-autoreconf,
                gnome-pkg-tools (>= 0.10),
@@ -26,8 +26,8 @@
                pkg-config
 Standards-Version: 3.9.3
 Section: libs
-Homepage: https://live.gnome.org/libgxps
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/libgxps/
+Homepage: https://wiki.gnome.org/libgxps
+Vcs-Svn: svn://svn.debian.org/pkg-gnome/packages/unstable/libgxps/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/libgxps/
 
 Package: libgxps-dev

## libgxps 0.2.3.2

=== debian/changelog ===
libgxps (0.2.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Sep 2015 16:20:47 +0200

libgxps (0.2.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop debian/patches/fix-build-with-libpng16.patch
    - now part of upstream release.
  * Update debian/libgxps2.symbols with new additions.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Aug 2015 17:59:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: libgxps
 Priority: optional
 Maintainer: Savvas Radevic <vicedar@gmail.com>

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS := --enable-man \
			--enable-gtk-doc \
			--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \

DEB_DH_MAKESHLIBS_ARGS_ALL += -V -- -c4

=== debian/watch ===
version=3
ftp://ftp.gnome.org/pub/GNOME/sources/libgxps/([0-9.]+)/ \
libgxps-(.*)\.tar\.xz

## libgxps 0.2.4

=== debian/changelog ===
libgxps (0.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Convert from cdbs to dh.
  * Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer, list
    Savvas Radevic as Uploader.
  * Install typelib files into multiarch paths.
  * Mark gir1.2-gxps-0.1 and libgxps-dev as Multi-Arch: same.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Wed, 22 Jun 2016 04:04:18 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,9 @@
 # This file is regenerated automatically in the clean target.
 Source: libgxps
 Priority: optional
-Maintainer: Savvas Radevic <vicedar@gmail.com>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: cdbs (>= 0.4.93),
-               debhelper (>= 9),
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>, Savvas Radevic <vicedar@gmail.com>
+Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                gnome-pkg-tools (>= 0.10),
                gobject-introspection,
@@ -23,15 +22,16 @@
                liblcms2-dev,
                libtiff-dev,
                pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 3.9.8
 Section: libs
 Homepage: https://wiki.gnome.org/libgxps
-Vcs-Svn: svn://svn.debian.org/pkg-gnome/packages/unstable/libgxps/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/libgxps/
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/libgxps/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/libgxps/
 
 Package: libgxps-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
          gir1.2-gxps-0.1 (= ${binary:Version}),
          libgxps2 (= ${binary:Version}),
@@ -61,9 +61,9 @@
 
 Package: libgxps2
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
 Description: handling and rendering XPS documents (library)
  OpenXPS or XPS stands for XML Paper Specification. It is based on XML and it's 
  a new electronic paper format originally developed by Microsoft and it serves 
@@ -141,6 +141,7 @@
 Package: gir1.2-gxps-0.1
 Section: introspection
 Architecture: any
+Multi-Arch: same
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

%:
	dh $@ --with autoreconf,gir,gnome

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-man \
		--enable-gtk-doc

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

## libgxps 0.2.5

=== debian/changelog ===
libgxps (0.2.5-1) unstable; urgency=medium

  * New upstream release.
  * Be more specific about which versions of libglib2.0-dev and libcairo2-dev
    we require.
  * Drop private symbols from libgxps2.symbols. Those are no longer exported
    by upstream. Removing those symbols is safe as they were never part of the
    public API and no other package was using it.

 -- Michael Biebl <biebl@debian.org>  Mon, 20 Mar 2017 01:04:18 +0100

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
                gobject-introspection,
                gtk-doc-tools (>= 1.14),
                libarchive-dev (>= 3.0.0),
-               libcairo2-dev,
+               libcairo2-dev (>= 1.10.0),
                libfreetype6-dev,
-               libglib2.0-dev,
+               libglib2.0-dev (>= 2.36),
                libglib2.0-doc,
                libgirepository1.0-dev,
                libgtk-3-dev,

## libgxps 0.3.0

=== debian/changelog ===
libgxps (0.3.0-3) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Use debian/libgxps-utils.manpages instead of dh_install
  * Bump Standards-Version to 4.2.1
  * Cherry-pick docs-Fix-OUTPUT-FILE-description.patch:
    - fix typo in manpages (Closes: #887615)
  * Cherry-pick gxps-archive-Ensure-gxps_archive_read_entry-fills-the-GEr.patch
    & gxps-archive-Handle-errors-returned-by-archive_read_data.patch:
    - Fix heap buffer overflow in ft_font_face_hash of gxps-fonts.c
      CVE-2018-10733 (Closes: #897954)
  * Cherry-pick gxps-images-fix-integer-overflow-in-png-decoder.patch:
    - Fix an integer overflow
  * Cherry-pick gxps-images-clear-the-error-before-trying-to-load-an-imag.patch:
    - clear an error so that fallback image loading works

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 14 Oct 2018 01:14:59 -0400

libgxps (0.3.0-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11
  * Build with all hardening flags

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 18 Dec 2017 19:11:35 -0500

libgxps (0.3.0-1) unstable; urgency=medium

  * New upstream release.
    - Includes fix for CVE-2017-11590 (Closes: #870183)
  * Build with meson.
  * Bump debhelper compat to 10.
  * Bump Standards-Version to 4.0.1.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 09 Aug 2017 22:09:31 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: libgxps
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Savvas Radevic <vicedar@gmail.com>
Build-Depends: debhelper (>= 11),
               gnome-pkg-tools (>= 0.10),
               gobject-introspection,
               gtk-doc-tools (>= 1.14),
               libarchive-dev (>= 3.0.0),
               libcairo2-dev (>= 1.10.0),
               libfreetype6-dev,
               libglib2.0-dev (>= 2.36),
               libglib2.0-doc,
               libgirepository1.0-dev,
               libgtk-3-dev,
               libjpeg-dev,
               liblcms2-dev,
               libtiff-dev,
               meson (>= 0.36.0),
               pkg-config
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/gnome-team/libgxps
Vcs-Git: https://salsa.debian.org/gnome-team/libgxps.git
Homepage: https://wiki.gnome.org/libgxps

Package: libgxps2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: handling and rendering XPS documents (library)
 OpenXPS or XPS stands for XML Paper Specification. It is based on XML and it's
 a new electronic paper format originally developed by Microsoft and it serves
 as a PDF alternative. XPS files are usually created using "Microsoft XPS
 Document Writer" in Windows environments. It is now standardized as an open
 standard document format.
 .
 Quoting Wikipedia:
 An XPS file is in fact a Unicoded ZIP archive using the Open Packaging
 Conventions, containing the files which make up the document. These include an
 XML markup file for each page, text, embedded fonts, raster images, 2D vector
 graphics, as well as the digital rights management information. The contents
 of an XPS file can be examined simply by opening it in an application which
 supports ZIP files.
 .
 The OpenXPS document format specification supports features such as color
 gradients, transparencies, CMYK color spaces, printer calibration,
 multiple-ink systems and print schemas.
 .
 This package contains the library. It is being used by evince to read XPS
 documents.

Package: libgxps-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         gir1.2-gxps-0.1 (= ${binary:Version}),
         libgxps2 (= ${binary:Version}),
         libarchive-dev,
         libcairo2-dev,
         libglib2.0-dev
Description: handling and rendering XPS documents (development files)
 OpenXPS or XPS stands for XML Paper Specification. It is based on XML and it's
 a new electronic paper format originally developed by Microsoft and it serves
 as a PDF alternative. XPS files are usually created using "Microsoft XPS
 Document Writer" in Windows environments. It is now standardized as an open
 standard document format.
 .
 Quoting Wikipedia:
 An XPS file is in fact a Unicoded ZIP archive using the Open Packaging
 Conventions, containing the files which make up the document. These include an
 XML markup file for each page, text, embedded fonts, raster images, 2D vector
 graphics, as well as the digital rights management information. The contents
 of an XPS file can be examined simply by opening it in an application which
 supports ZIP files.
 .
 The OpenXPS document format specification supports features such as color
 gradients, transparencies, CMYK color spaces, printer calibration,
 multiple-ink systems and print schemas.
 .
 This package contains the development files.

Package: libgxps-utils
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: handling and rendering XPS documents (utilities)
 OpenXPS or XPS stands for XML Paper Specification. It is based on XML and it's
 a new electronic paper format originally developed by Microsoft and it serves
 as a PDF alternative. XPS files are usually created using "Microsoft XPS
 Document Writer" in Windows environments. It is now standardized as an open
 standard document format.
 .
 Quoting Wikipedia:
 An XPS file is in fact a Unicoded ZIP archive using the Open Packaging
 Conventions, containing the files which make up the document. These include an
 XML markup file for each page, text, embedded fonts, raster images, 2D vector
 graphics, as well as the digital rights management information. The contents
 of an XPS file can be examined simply by opening it in an application which
 supports ZIP files.
 .
 The OpenXPS document format specification supports features such as color
 gradients, transparencies, CMYK color spaces, printer calibration,
 multiple-ink systems and print schemas.
 .
 This package contains the binary utilities:
 xpstopng, xpstopdf, xpstosvg, xpstojpeg and xpstops

Package: libgxps-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: devhelp
Description: library for handling and rendering XPS documents (documentation)
 OpenXPS or XPS stands for XML Paper Specification. It is based on XML and it's
 a new electronic paper format originally developed by Microsoft and it serves
 as a PDF alternative. XPS files are usually created using "Microsoft XPS
 Document Writer" in Windows environments. It is now standardized as an open
 standard document format.
 .
 Quoting Wikipedia:
 An XPS file is in fact a Unicoded ZIP archive using the Open Packaging
 Conventions, containing the files which make up the document. These include an
 XML markup file for each page, text, embedded fonts, raster images, 2D vector
 graphics, as well as the digital rights management information. The contents
 of an XPS file can be examined simply by opening it in an application which
 supports ZIP files.
 .
 The OpenXPS document format specification supports features such as color
 gradients, transparencies, CMYK color spaces, printer calibration,
 multiple-ink systems and print schemas.
 .
 This package contains help documentation files.

Package: gir1.2-gxps-0.1
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for the gxps library
 OpenXPS or XPS stands for XML Paper Specification. It is based on XML and it's
 a new electronic paper format originally developed by Microsoft and it serves
 as a PDF alternative. XPS files are usually created using "Microsoft XPS
 Document Writer" in Windows environments. It is now standardized as an open
 standard document format.
 .
 Quoting Wikipedia:
 An XPS file is in fact a Unicoded ZIP archive using the Open Packaging
 Conventions, containing the files which make up the document. These include an
 XML markup file for each page, text, embedded fonts, raster images, 2D vector
 graphics, as well as the digital rights management information. The contents
 of an XPS file can be examined simply by opening it in an application which
 supports ZIP files.
 .
 The OpenXPS document format specification supports features such as color
 gradients, transparencies, CMYK color spaces, printer calibration,
 multiple-ink systems and print schemas.
 .
 This package contains introspection data for the gxps
 library. It can be used by packages using the GIRepository format to
 generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gir,gnome

override_dh_auto_configure:
	dh_auto_configure -- \
		-Denable-gtk-doc=true \
		-Denable-man=true \
		-Dwith-liblcms2=true \
		-Dwith-libgjpeg=true \
		-Dwith-libtiff=true

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_missing:
	dh_missing --fail-missing

## libgxps 0.3.1

=== debian/changelog ===
libgxps (0.3.1-1) unstable; urgency=medium

  * New upstream release
    - This release also includes the fixes we cherry-picked in 0.3.0-3 for
      CVE-2018-10767 (Closes: #898133)
  * Drop all patches: applied in new release
  * Bump minimum meson to 0.43.0

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 05 Jan 2019 09:33:11 -0500

libgxps (0.3.0-4) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * debian/libgxps2.symbols: Add Build-Depends-Package
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 28 Dec 2018 08:23:21 -0500

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
 	dh $@ --with gir,gnome

## libgxps 0.3.2

=== debian/changelog ===
libgxps (0.3.2-6) unstable; urgency=medium

  * Remove Suggests: devhelp
  * Simplify doc configure flags
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Oct 2025 21:32:22 -0400

libgxps (0.3.2-5) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Build-Depend on required gir1.2-*-dev packages
  * d/control: Replace libgirepository1.0-dev B-D with gobject-introspection
  * d/control: Add ${gir:Depends} to -dev package instead of hard-coding
  * d/control: Add ${gir:Provides} to -dev package
  * d/control, d/rules: Only build API documentation when needed
  * d/control, d/rules: Implement the nodoc build-profile
  * d/copyright: Don't quote the FSF's former postal address here
  * Remove an obsolete Lintian override
  * d/salsa-ci.yml: Add

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Sep 2025 20:51:38 -0400

libgxps (0.3.2-4) unstable; urgency=medium

  * Stop using debian/control.in and dh-sequence-gnome
  * Upload to unstable (Closes: #1062363)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Feb 2024 20:54:44 -0500

libgxps (0.3.2-3.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Thu, 01 Feb 2024 07:21:00 +0000

libgxps (0.3.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13
  * Add debian/upstream/metadata
  * Update standards version to 4.6.2, no changes needed
  * Avoid explicitly specifying -Wl,--as-needed linker flag

  [ Jeremy Bícha ]
  * Build-Depend on libfreetype-dev instead of libfreetype6-dev
  * Build-Depend on dh-sequence-gir & dh-sequence-gnome
  * Set Rules-Requires-Root: no

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 16 Jul 2023 09:19:06 -0400

libgxps (0.3.2-2) unstable; urgency=medium

  * Team upload.
  * Fix config option typo (libgjpeg->libjpeg) (Closes: #998586)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 02 Feb 2022 11:05:50 +0100

libgxps (0.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 26 Feb 2021 16:10:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,37 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: libgxps
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Savvas Radevic <vicedar@gmail.com>
-Build-Depends: debhelper (>= 11),
-               gnome-pkg-tools (>= 0.10),
-               gobject-introspection,
-               gtk-doc-tools (>= 1.14),
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Savvas Radevic <vicedar@gmail.com>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
+               docbook-xsl <!nodoc>,
+               gir1.2-cairo-1.0-dev,
+               gir1.2-gio-2.0-dev,
+               gir1.2-gobject-2.0-dev,
+               gobject-introspection (>= 1.80),
                libarchive-dev (>= 3.0.0),
                libcairo2-dev (>= 1.10.0),
-               libfreetype6-dev,
+               libfreetype-dev,
                libglib2.0-dev (>= 2.36),
-               libglib2.0-doc,
-               libgirepository1.0-dev,
                libgtk-3-dev,
                libjpeg-dev,
                liblcms2-dev,
                libtiff-dev,
-               meson (>= 0.36.0),
-               pkg-config
-Standards-Version: 4.2.1
+               meson (>= 0.43.0),
+               pkgconf,
+               xsltproc <!nodoc>,
+Build-Depends-Indep: gtk-doc-tools (>= 1.14) <!nodoc>,
+                     libglib2.0-doc <!nodoc>,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/libgxps
 Vcs-Git: https://salsa.debian.org/gnome-team/libgxps.git
 Homepage: https://wiki.gnome.org/libgxps
 
-Package: libgxps2
+Package: libgxps2t64
+Provides: ${t64:Provides}
+Replaces: libgxps2
+Breaks: libgxps2 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -58,12 +61,13 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         gir1.2-gxps-0.1 (= ${binary:Version}),
-         libgxps2 (= ${binary:Version}),
+Depends: ${gir:Depends},
+         ${misc:Depends},
+         libgxps2t64 (= ${binary:Version}),
          libarchive-dev,
          libcairo2-dev,
          libglib2.0-dev
+Provides: ${gir:Provides},
 Description: handling and rendering XPS documents (development files)
  OpenXPS or XPS stands for XML Paper Specification. It is based on XML and it's
  a new electronic paper format originally developed by Microsoft and it serves
@@ -112,11 +116,11 @@
  xpstopng, xpstopdf, xpstosvg, xpstojpeg and xpstops
 
 Package: libgxps-doc
+Build-Profiles: <!nodoc>
 Section: doc
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Suggests: devhelp
 Description: library for handling and rendering XPS documents (documentation)
  OpenXPS or XPS stands for XML Paper Specification. It is based on XML and it's
  a new electronic paper format originally developed by Microsoft and it serves

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Denable-gtk-doc=$(if $(filter %-doc,$(shell dh_listpackages)),true,false) \
		-Denable-man=$(if $(filter nodoc,$(DEB_BUILD_OPTIONS)),false,true)
